;==========================================================================
;                   CCI Sakura 's Command file
;
;                   By Ironmugen
;==========================================================================
;-| Button Remapping |-----------------------------------------------------
; This section lets you remap the player's buttons (to easily change the
; button configuration). The format is:
;   old_button = new_button
; If new_button is left blank, the button cannot be pressed.
[Remap]
x = a
y = b
z = c
a = x
b = y
c = z
s = s

;-| Super Motions |--------------------------------------------------------
[Command]
name = "strong"
command = ~D, DF, F, D, DF, F, a
time = 30

[Command]
name = "fight"
command = ~D, DB, B, DB, F, a
time = 30

[Command]
name = "earthy"
command = ~F, B, D, F, b
time = 30

[Command]
name = "firey"
command = ~D, F, D, F, c
time = 20

;-| Special Motions |------------------------------------------------------
[Command]
name = "windy"
command = ~D, DF, F, a
time = 20

[Command]
name = "sword1"
command = ~F, D, DF, a
time = 20

[Command]
name = "sword2"
command = ~F, D, DF, c
time = 20

[Command]
name = "watery"
command = ~D, DF, F, c
time = 20

[Command]
name = "thunder1"
command = ~D, DB, B, a
time = 20

[Command]
name = "thunder2"
command = ~D, DB, B, b
time = 20

[Command]
name = "thunder3"
command = ~D, DB, B, c
time = 20

[Command]
name = "shield"
command = ~B, D, F, b
time = 20

;-| Double Tap |-----------------------------------------------------------
[Command]
name = "FF"
command = F, F
time = 10

[Command]
name = "BB"
command = B, B
time = 10

;-| 2/3 Button Combination |-----------------------------------------------
[Command]
name = "recovery"
command = a+b
time = 1

[Command]
name = "recovery"
command = x
time = 1

[Command]
name = "cd"
command = b+y
time = 1

[Command]
name = "ab"
command = a+b
time = 1

[Command]
name = "abc"
command = a+y+x
time = 1

;-| Dir + Button |---------------------------------------------------------
[Command]
name = "down_a"
command = /$D,a
time = 1

[Command]
name = "down_b"
command = /$D,b
time = 1

;-| Single Button |---------------------------------------------------------
[Command]
name = "a"
command = a
time = 1

[Command]
name = "b"
command = b
time = 1

[Command]
name = "c"
command = c
time = 1

[Command]
name = "hold_a"
command = /$a
time = 1

[Command]
name = "hold_b"
command = /$b
time = 1

[Command]
name = "hold_c"
command = /$c
time = 1

[Command]
name = "hold_x"
command = /$x
time = 1

[Command]
name = "hold_y"
command = /$y
time = 1

[Command]
name = "hold_z"
command = /$z
time = 1

[Command]
name = "x"
command = x
time = 1

[Command]
name = "y"
command = y
time = 1

[Command]
name = "z"
command = z
time = 1

[Command]
name = "start"
command = s
time = 1

;-| Hold Dir |--------------------------------------------------------------
[Command]
name = "holdfwd";Required (do not remove)
command = /$F
time = 1

[Command]
name = "holdback";Required (do not remove)
command = /$B
time = 1

[Command]
name = "holdup" ;Required (do not remove)
command = /$U
time = 1

[Command]
name = "holddown";Required (do not remove)
command = /$D
time = 1

[Command]
name = "holddownfwd";Required (do not remove)
command = /$DF
time = 1

[Command]
name = "longjump"
command = ~D, $U
time = 11

[Command]
name = "!longjump"
command = ~10$D, $U
time = 20

[Statedef -1]

;---------------------------------------------------------------------------
;---------------------------------------------------------------------------
;--------------------------------------------------------------------------- 
;---------------------------------------------------------------------------
;---------------------------------------------------------------------------
;---------------------------------------------------------------------------
;---------------------------------------------------------------------------
;Firey (HSDM)
[State -1,]
type = changestate
value = 2300
triggerall = command = "firey"
triggerall = power >= 3000
trigger1 = statetype = S
trigger1 = ctrl
trigger2 = stateno = 52
trigger2 = animelem = 1, >= 1
trigger3 = stateno = 101
trigger4 = stateno = 200 && time = [5,9]
trigger5 = stateno = 201 && time = [6,14]
trigger6 = stateno = 210 && time = [7,10]
trigger7 = stateno = 211 && time = [5,8]
trigger8 = stateno = 222 && time = [8,13]
trigger9 = stateno = 220 && time = [12,17]
trigger10 = stateno = 225 && time = [8,16]
trigger11 = stateno = 226 && time = [8,16]
trigger12 = stateno = 221 && time = [8,13]
trigger13 = stateno = 400 && time = [5,9]
trigger14 = stateno = 401 && time = [5,9]
trigger15 = stateno = 410 && time = [8,13]
trigger16 = stateno = 411 && time = [8,13]
trigger17 = stateno = 420 && time = [7,13]
trigger18 = stateno = 421 && time = [7,13]

;Earthy (SDM)
[State -1,]
type = changestate
value = 2200
triggerall = command = "earthy"
triggerall = power >= 2000
trigger1 = statetype = S
trigger1 = ctrl
trigger2 = stateno = 52
trigger2 = animelem = 1, >= 1
trigger3 = stateno = 101
trigger4 = stateno = 200 && time = [5,9]
trigger5 = stateno = 201 && time = [6,14]
trigger6 = stateno = 210 && time = [7,10]
trigger7 = stateno = 211 && time = [5,8]
trigger8 = stateno = 222 && time = [8,13]
trigger9 = stateno = 220 && time = [12,17]
trigger10 = stateno = 225 && time = [8,16]
trigger11 = stateno = 226 && time = [8,16]
trigger12 = stateno = 221 && time = [8,13]
trigger13 = stateno = 400 && time = [5,9]
trigger14 = stateno = 401 && time = [5,9]
trigger15 = stateno = 410 && time = [8,13]
trigger16 = stateno = 411 && time = [8,13]
trigger17 = stateno = 420 && time = [7,13]
trigger18 = stateno = 421 && time = [7,13]

;Fight (DM)
[State -1,]
type = changestate
value = 2100
triggerall = command = "fight"
triggerall = power >= 1000
trigger1 = statetype = S
trigger1 = ctrl
trigger2 = stateno = 52
trigger2 = animelem = 1, >= 1
trigger3 = stateno = 101
trigger4 = stateno = 200 && time = [5,9]
trigger5 = stateno = 201 && time = [6,14]
trigger6 = stateno = 210 && time = [7,10]
trigger7 = stateno = 211 && time = [5,8]
trigger8 = stateno = 222 && time = [8,13]
trigger9 = stateno = 220 && time = [12,17]
trigger10 = stateno = 225 && time = [8,16]
trigger11 = stateno = 226 && time = [8,16]
trigger12 = stateno = 221 && time = [8,13]
trigger13 = stateno = 400 && time = [5,9]
trigger14 = stateno = 401 && time = [5,9]
trigger15 = stateno = 410 && time = [8,13]
trigger16 = stateno = 411 && time = [8,13]
trigger17 = stateno = 420 && time = [7,13]
trigger18 = stateno = 421 && time = [7,13]

;Strong (DM)
[State -1,]
type = changestate
value = 2000
triggerall = command = "strong"
triggerall = power >= 1000
trigger1 = statetype = S
trigger1 = ctrl
trigger2 = stateno = 52
trigger2 = animelem = 1, >= 1
trigger3 = stateno = 101
trigger4 = stateno = 200 && time = [5,9]
trigger5 = stateno = 201 && time = [6,14]
trigger6 = stateno = 210 && time = [7,10]
trigger7 = stateno = 211 && time = [5,8]
trigger8 = stateno = 222 && time = [8,13]
trigger9 = stateno = 220 && time = [12,17]
trigger10 = stateno = 225 && time = [8,16]
trigger11 = stateno = 226 && time = [8,16]
trigger12 = stateno = 221 && time = [8,13]
trigger13 = stateno = 400 && time = [5,9]
trigger14 = stateno = 401 && time = [5,9]
trigger15 = stateno = 410 && time = [8,13]
trigger16 = stateno = 411 && time = [8,13]
trigger17 = stateno = 420 && time = [7,13]
trigger18 = stateno = 421 && time = [7,13]

;Sword weak
[State -1,]
type = changestate
value = 1020
triggerall = command = "sword1"
trigger1 = statetype != A
trigger1 = ctrl
trigger2 = stateno = 52
trigger2 = animelem = 1, >= 1
trigger3 = stateno = 101
trigger4 = stateno = 200 && time = [5,9]
trigger5 = stateno = 201 && time = [6,14]
trigger6 = stateno = 210 && time = [7,10]
trigger7 = stateno = 211 && time = [5,8]
trigger8 = stateno = 222 && time = [8,13]
trigger9 = stateno = 220 && time = [12,17]
trigger10 = stateno = 225 && time = [8,16]
trigger11 = stateno = 226 && time = [8,16]
trigger12 = stateno = 221 && time = [8,13]
trigger13 = stateno = 400 && time = [5,9]
trigger14 = stateno = 401 && time = [5,9]
trigger15 = stateno = 410 && time = [8,13]
trigger16 = stateno = 411 && time = [8,13]
trigger17 = stateno = 420 && time = [7,13]
trigger18 = stateno = 421 && time = [7,13]

;Sword strong
[State -1,]
type = changestate
value = 1025
triggerall = command = "sword2"
trigger1 = statetype != A
trigger1 = ctrl
trigger2 = stateno = 52
trigger2 = animelem = 1, >= 1
trigger3 = stateno = 101
trigger4 = stateno = 200 && time = [5,9]
trigger5 = stateno = 201 && time = [6,14]
trigger6 = stateno = 210 && time = [7,10]
trigger7 = stateno = 211 && time = [5,8]
trigger8 = stateno = 222 && time = [8,13]
trigger9 = stateno = 220 && time = [12,17]
trigger10 = stateno = 225 && time = [8,16]
trigger11 = stateno = 226 && time = [8,16]
trigger12 = stateno = 221 && time = [8,13]
trigger13 = stateno = 400 && time = [5,9]
trigger14 = stateno = 401 && time = [5,9]
trigger15 = stateno = 410 && time = [8,13]
trigger16 = stateno = 411 && time = [8,13]
trigger17 = stateno = 420 && time = [7,13]
trigger18 = stateno = 421 && time = [7,13]

;Windy
[State -1,]
type = changestate
value = 1000
triggerall = command = "windy"
trigger1 = statetype = S
trigger1 = ctrl
trigger2 = stateno = 52
trigger2 = animelem = 1, >= 1
trigger3 = stateno = 101
trigger4 = stateno = 200 && time = [5,9]
trigger5 = stateno = 201 && time = [6,14]
trigger6 = stateno = 210 && time = [7,10]
trigger7 = stateno = 211 && time = [5,8]
trigger8 = stateno = 222 && time = [8,13]
trigger9 = stateno = 220 && time = [12,17]
trigger10 = stateno = 225 && time = [8,16]
trigger11 = stateno = 226 && time = [8,16]
trigger12 = stateno = 221 && time = [8,13]
trigger13 = stateno = 400 && time = [5,9]
trigger14 = stateno = 401 && time = [5,9]
trigger15 = stateno = 410 && time = [8,13]
trigger16 = stateno = 411 && time = [8,13]
trigger17 = stateno = 420 && time = [7,13]
trigger18 = stateno = 421 && time = [7,13]

;Watery
[State -1,]
type = changestate
value = 1005
triggerall = command = "watery"
trigger1 = statetype = S
trigger1 = ctrl
trigger2 = stateno = 52
trigger2 = animelem = 1, >= 1
trigger3 = stateno = 101
trigger4 = stateno = 200 && time = [5,9]
trigger5 = stateno = 201 && time = [6,14]
trigger6 = stateno = 210 && time = [7,10]
trigger7 = stateno = 211 && time = [5,8]
trigger8 = stateno = 222 && time = [8,13]
trigger9 = stateno = 220 && time = [12,17]
trigger10 = stateno = 225 && time = [8,16]
trigger11 = stateno = 226 && time = [8,16]
trigger12 = stateno = 221 && time = [8,13]
trigger13 = stateno = 400 && time = [5,9]
trigger14 = stateno = 401 && time = [5,9]
trigger15 = stateno = 410 && time = [8,13]
trigger16 = stateno = 411 && time = [8,13]
trigger17 = stateno = 420 && time = [7,13]
trigger18 = stateno = 421 && time = [7,13]

;Thunder (close)
[State -1,]
type = changestate
value = 1010
triggerall = command = "thunder1"
trigger1 = statetype = S
trigger1 = ctrl
trigger2 = stateno = 52
trigger2 = animelem = 1, >= 1
trigger3 = stateno = 101
trigger4 = stateno = 200 && time = [5,9]
trigger5 = stateno = 201 && time = [6,14]
trigger6 = stateno = 210 && time = [7,10]
trigger7 = stateno = 211 && time = [5,8]
trigger8 = stateno = 222 && time = [8,13]
trigger9 = stateno = 220 && time = [12,17]
trigger10 = stateno = 225 && time = [8,16]
trigger11 = stateno = 226 && time = [8,16]
trigger12 = stateno = 221 && time = [8,13]
trigger13 = stateno = 400 && time = [5,9]
trigger14 = stateno = 401 && time = [5,9]
trigger15 = stateno = 410 && time = [8,13]
trigger16 = stateno = 411 && time = [8,13]
trigger17 = stateno = 420 && time = [7,13]
trigger18 = stateno = 421 && time = [7,13]

;Thunder (medium)
[State -1,]
type = changestate
value = 1011
triggerall = command = "thunder2"
trigger1 = statetype = S
trigger1 = ctrl
trigger2 = stateno = 52
trigger2 = animelem = 1, >= 1
trigger3 = stateno = 101
trigger4 = stateno = 200 && time = [5,9]
trigger5 = stateno = 201 && time = [6,14]
trigger6 = stateno = 210 && time = [7,10]
trigger7 = stateno = 211 && time = [5,8]
trigger8 = stateno = 222 && time = [8,13]
trigger9 = stateno = 220 && time = [12,17]
trigger10 = stateno = 225 && time = [8,16]
trigger11 = stateno = 226 && time = [8,16]
trigger12 = stateno = 221 && time = [8,13]
trigger13 = stateno = 400 && time = [5,9]
trigger14 = stateno = 401 && time = [5,9]
trigger15 = stateno = 410 && time = [8,13]
trigger16 = stateno = 411 && time = [8,13]
trigger17 = stateno = 420 && time = [7,13]
trigger18 = stateno = 421 && time = [7,13]

;Thunder (far)
[State -1,]
type = changestate
value = 1012
triggerall = command = "thunder3"
trigger1 = statetype = S
trigger1 = ctrl
trigger2 = stateno = 52
trigger2 = animelem = 1, >= 1
trigger3 = stateno = 101
trigger4 = stateno = 200 && time = [5,9]
trigger5 = stateno = 201 && time = [6,14]
trigger6 = stateno = 210 && time = [7,10]
trigger7 = stateno = 211 && time = [5,8]
trigger8 = stateno = 222 && time = [8,13]
trigger9 = stateno = 220 && time = [12,17]
trigger10 = stateno = 225 && time = [8,16]
trigger11 = stateno = 226 && time = [8,16]
trigger12 = stateno = 221 && time = [8,13]
trigger13 = stateno = 400 && time = [5,9]
trigger14 = stateno = 401 && time = [5,9]
trigger15 = stateno = 410 && time = [8,13]
trigger16 = stateno = 411 && time = [8,13]
trigger17 = stateno = 420 && time = [7,13]
trigger18 = stateno = 421 && time = [7,13]

;Shield
[State -1,]
type = changestate
value = 1015
triggerall = command = "shield"
trigger1 = statetype = S
trigger1 = ctrl
trigger2 = stateno = 52
trigger2 = animelem = 1, >= 1
trigger3 = stateno = 101
trigger4 = stateno = 200 && time = [5,9]
trigger5 = stateno = 201 && time = [6,14]
trigger6 = stateno = 210 && time = [7,10]
trigger7 = stateno = 211 && time = [5,8]
trigger8 = stateno = 222 && time = [8,13]
trigger9 = stateno = 220 && time = [12,17]
trigger10 = stateno = 225 && time = [8,16]
trigger11 = stateno = 226 && time = [8,16]
trigger12 = stateno = 221 && time = [8,13]
trigger13 = stateno = 400 && time = [5,9]
trigger14 = stateno = 401 && time = [5,9]
trigger15 = stateno = 410 && time = [8,13]
trigger16 = stateno = 411 && time = [8,13]
trigger17 = stateno = 420 && time = [7,13]
trigger18 = stateno = 421 && time = [7,13]

;---------------------------------------------------------------------------
;Run Fwd 1
[State -1, Run Fwd]
type = ChangeState
value = 100
trigger1 = command = "FF"
trigger1 = statetype = S
trigger1 = ctrl

;---------------------------------------------------------------------------
;Run Back
[State -1, Run Back]
type = ChangeState
value = 105
trigger1 = command = "BB"
trigger1 = statetype = S
trigger1 = ctrl

;Throw 1
[State -1]
type = changestate
value = 800
triggerall = command = "c"
triggerall = command = "holdfwd" || command = "holdback"
triggerall = command != "holddown"
trigger1 = statetype = S
trigger1 = stateno != 100
trigger1 = p2bodydist x < 20
trigger1 = p2statetype != A
trigger1 = p2movetype != H
trigger1 = p2stateno != 5120
trigger1 = ctrl

;Counter
[State -1]
type = changestate
value = 305
triggerall = command = "ab" ^^ command = "x"
trigger1 = (stateno = 150 || stateno = 151) && power >= 1000

; Power charge
[State -1]
type = Changestate
value = 310
triggerall = statetype = S
triggerall = Power < 3000
triggerall = ctrl = 1
trigger1 = command = "hold_b"
trigger1 = command = "hold_c"
trigger2 = command = "hold_y"

; Taunt
[State -1]
type = changestate
value = 195
trigger1 = command = "start"
trigger1 = Vel X = 0
trigger1 = stateno != 195
trigger1 = statetype = S
trigger1 = ctrl = 1

;---------------------------------------------------------------------
;-----------------------------------------DODGE
;---------------------------------------------------------------------
; Dodge backward (Kof98)
[State -1]
type = changestate
value = 360
triggerall = command = "ab" ^^ command = "x"
triggerall = command = "holdback"
trigger1 = statetype = S
trigger1 = ctrl
trigger2 = stateno = 101

; Dodge forward 98(after dodge forward 99)
[State -1]
type = changestate
value = 361
triggerall = command = "ab" ^^ command = "x"
trigger1 = statetype = S
trigger1 = ctrl
trigger2 = stateno = 101

;---------------------------------------------------------------------------
;===========================================================================
;---------------------------------------------------------------------------
;Standing Weak punch
[State -1,]
type = changestate
value = 200
triggerall = command = "a"
triggerall = command != "holddown"
trigger1 = statetype = S
trigger1 = ctrl
trigger2 = stateno = 52
trigger2 = animelem = 1, >= 1
trigger3 = stateno = 101

;combo
[State -1,]
type = changestate
value = 201
triggerall = command = "a"
triggerall = command != "holddown"
trigger1 = stateno = 200 && time = [5,9]
trigger2 = stateno = 400 && time = [5,9]

;---------------------------------------------------------------------------
;Standing Weak Kick
[State -1]
type = changestate
value = 210
triggerall = command = "b"
triggerall = command != "holddown"
trigger1 = statetype = S
trigger1 = ctrl
trigger2 = stateno = 52
trigger2 = animelem = 1, >= 1
trigger3 = stateno = 101

;combo
[State -1,]
type = changestate
value = 211
triggerall = command = "b"
triggerall = command != "holddown"
trigger1 = stateno = 200 && time = [5,9]
trigger2 = stateno = 400 && time = [5,9]
trigger3 = stateno = 210 && time = [7,10]
trigger4 = stateno = 410 && time = [8,13]

;combo
[State -1,]
type = changestate
value = 222
triggerall = command = "b"
triggerall = command != "holddown"
trigger1 = stateno = 211 && time = [5,8]

;---------------------------------------------------------------------------
;Standing Hard punch
[State -1]
type = changestate
value = 220
triggerall = command = "c"
triggerall = command != "holddown"
trigger1 = statetype = S
trigger1 = ctrl
trigger2 = stateno = 52
trigger2 = animelem = 1, >= 1
trigger3 = stateno = 101

;combo
[State -1,]
type = changestate
value = 225
triggerall = command = "c"
triggerall = command != "holddown"
trigger1 = stateno = 200 && time = [5,9]
trigger2 = stateno = 400 && time = [5,9]
trigger3 = stateno = 210 && time = [7,10]
trigger4 = stateno = 410 && time = [8,13]

;finisher forward
[State -1,]
type = changestate
value = 226
triggerall = command = "c"
triggerall = command = "holdfwd"
triggerall = command != "holddown"
trigger1 = stateno = 201 && time = [6,14]
trigger2 = stateno = 211 && time = [5,8]
trigger3 = stateno = 401 && time = [5,9]
trigger4 = stateno = 411 && time = [8,13]

;finisher normal
[State -1,]
type = changestate
value = 221
triggerall = command = "c"
triggerall = command != "holdfwd"
triggerall = command != "holddown"
trigger1 = stateno = 201 && time = [6,14]
trigger2 = stateno = 211 && time = [5,8]
trigger3 = stateno = 401 && time = [5,9]
trigger4 = stateno = 411 && time = [8,13]

;---------------------------------------------------------------------------
;Crouching Weak punch
[State -1]
type = changestate
value = 400
triggerall = command = "a"
triggerall = command = "holddown"
trigger1 = statetype = C
trigger1 = ctrl
trigger2 = stateno = 101

;combo
[State -1,]
type = changestate
value = 401
triggerall = command = "a"
triggerall = command = "holddown"
trigger1 = stateno = 200 && time = [5,9]
trigger2 = stateno = 400 && time = [5,9]

;---------------------------------------------------------------------------
;Crouching weak Kick
[State -1]
type = changestate
value = 410
triggerall = command = "b"
triggerall = command = "holddown"
trigger1 = statetype = C
trigger1 = ctrl
trigger2 = stateno = 101

;combo
[State -1,]
type = changestate
value = 411
triggerall = command = "b"
triggerall = command = "holddown"
trigger1 = stateno = 200 && time = [5,9]
trigger2 = stateno = 400 && time = [5,9]
trigger3 = stateno = 210 && time = [7,10]
trigger4 = stateno = 410 && time = [8,13]

;---------------------------------------------------------------------------
;Crouching hard punch
[State -1]
type = changestate
value = 420
triggerall = command = "c"
triggerall = command = "holddown"
trigger1 = statetype = C
trigger1 = ctrl
trigger2 = stateno = 101

;finisher
[State -1,]
type = changestate
value = 421
triggerall = command = "c"
triggerall = command = "holddown"
trigger1 = stateno = 201 && time = [6,14]
trigger2 = stateno = 211 && time = [5,8]
trigger3 = stateno = 401 && time = [5,9]
trigger4 = stateno = 411 && time = [8,13]
;---------------------------------------------------------------------------
;Jumping Weak punch
[State -1]
type = changestate
value = 600
triggerall = command = "a"
trigger1 = statetype = A
trigger1 = ctrl
;---------------------------------------------------------------------------
;Jumping Kick
[State -1]
type = changestate
value = 610
triggerall = command = "b"
trigger1 = statetype = A
trigger1 = ctrl

;---------------------------------------------------------------------------
;Jumping strong punch
[State -1]
type = changestate
value = 620
triggerall = command = "c"
trigger1 = statetype = A
trigger1 = ctrl
